Get Deposit Details
curl --request GET \
--url https://sandbox-api.axisfi.net/api/transactions/deposit/detail \
--header 'Api-Version: <api-version>' \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://sandbox-api.axisfi.net/api/transactions/deposit/detail"
headers = {
"Api-Version": "<api-version>",
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Api-Version': '<api-version>',
'X-API-Key': '<api-key>',
'X-API-Secret': '<api-key>'
}
};
fetch('https://sandbox-api.axisfi.net/api/transactions/deposit/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partner_transaction_id": "<string>",
"account_currency": "USDT",
"amount": 99.99,
"transaction_id": "txn_d74ee9e30d3345fcba469e282450783a",
"transaction_type": "deposit",
"source_wallet_address": "0x94a84aBd3198874A84f4a61083c52Ed7eE61077f",
"target_wallet_address": "0x94a84aBd3198874A84f4a61083c52Ed7eE61077f",
"network": "ETH",
"status": "completed",
"created_at": "2023-11-07T05:31:56Z",
"audit_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "Invalid organizationId",
"code": "ORG_ID_INVALID"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Transactions
Get Deposit Details
Get a specific transaction by specifying the (Id).
GET
/
api
/
transactions
/
deposit
/
detail
Get Deposit Details
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Headers
AxisFi API contract version
Available options:
2026-08-31 Query Parameters
Partner Transaction Id
Transaction Id
Response
Operation Successful
Partner Transaction Id
Required string length:
20 - 64Account Currency
Available options:
USDT, USDC, USD Example:
"USDT"
Amount
Required range:
0.01 <= x <= 100000000Example:
99.99
Unique Transaction ID
Example:
"txn_d74ee9e30d3345fcba469e282450783a"
Transaction Type
Available options:
deposit Source Wallet Address
Example:
"0x94a84aBd3198874A84f4a61083c52Ed7eE61077f"
Target Wallet Address
Example:
"0x94a84aBd3198874A84f4a61083c52Ed7eE61077f"
Network
Available options:
ETH, TRX Example:
"ETH"
Status
Available options:
pending, completed, failed Example:
"completed"

